package com.unis.crk.business.kcgl.entity;

import com.unis.crk.enums.EditStatus;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 库存表-用于业务使用
 * </p>
 *
 * @author TangSong
 * @since 2021-10-11
 */
@Data
public class FcbgzStore implements Serializable {

private static final long serialVersionUID=1L;

    
    private String fcbgzRq =""; //分库保管账rq
    private Double fcbgzKcsl= new Double(0.0); //分库保管账kcsl
    private Double fcbgzKcsjsl = new Double(0.0); //分库保管账kcsjsl
    private Double fcbgzSrsl= new Double(0.0); //分库保管账srsl
    private Double fcbgzZcsl = new Double(0.0); //分库保管账zcsl

    private Double fcbgzSrsjsl= new Double(0.0); //分库保管账srsjsl
    private Double fcbgzZcsjsl= new Double(0.0); //分库保管账zcsjsl
    private Double fcbgzLjsrsl= new Double(0.0); //分库保管账ljsrsl
    private Double fcbgzLjzcsl= new Double(0.0); //分库保管账ljzcsl
    private Double fcbgzLjsrsjsl= new Double(0.0); //分库保管账ljsrsjsl
    private Double fcbgzLjzcsjsl= new Double(0.0); //分库保管账ljzcsjsl

    private EditStatus editStatus = EditStatus.New; //是否是编辑
    
    private Boolean saveFcbgz = false; //是否已经处理分库保管账


}
